Did I make a mistake today with apt-get upgrade? - Debian

This is a discussion on Did I make a mistake today with apt-get upgrade? - Debian ; Did I make an unwise move? I didn't notice the v3.4.2 in kdebase-data. I am at work and using SSH to upgrade so I don't know if my KDE still works. ANTian:/home/ant/download# apt-get upgrade Reading package lists... Done Building dependency ...

+ Reply to Thread
Results 1 to 14 of 14

Thread: Did I make a mistake today with apt-get upgrade?

  1. Did I make a mistake today with apt-get upgrade?

    Did I make an unwise move? I didn't notice the v3.4.2 in kdebase-data. I am at work and using SSH
    to upgrade so I don't know if my KDE still works.

    ANTian:/home/ant/download# apt-get upgrade
    Reading package lists... Done
    Building dependency tree... Done
    The following packages have been kept back:
    arts dosemu kappfinder kate kcontrol kdebase kdebase-bin kdebase-kio-plugins kdelibs kdelibs-bin
    kdelibs-data kdepasswd
    kdeprint kdesktop kfind khelpcenter kicker klipper kmenuedit konqueror konqueror-nsplugins
    konsole kpager kpersonalizer
    ksmserver ksplash ksysguard ksysguardd ktip kwin libkonq4 libtunepimp-bin qt3-dev-tools
    The following packages will be upgraded:
    base-files kdebase-data openoffice.org-bin
    3 upgraded, 0 newly installed, 0 to remove and 33 not upgraded.
    Need to get 41.8MB/47.5MB of archives.
    After unpacking 58.2MB disk space will be freed.
    Do you want to continue [Y/n]?
    Get:1 http://http.us.debian.org unstable/main openoffice.org-bin 1.1.4-7.0.1 [41.8MB]
    Fetched 26.7MB in 51s (513kB/s)
    Preconfiguring packages ...
    (Reading database ... 121771 files and directories currently installed.)
    Preparing to replace base-files 3.1.6 (using .../base-files_3.1.7_i386.deb) ...
    Unpacking replacement base-files ...
    Setting up base-files (3.1.7) ...

    (Reading database ... 121771 files and directories currently installed.)
    Preparing to replace kdebase-data 4:3.3.2-1 (using .../kdebase-data_4%3a3.4.2-1_all.deb) ...
    Unpacking replacement kdebase-data ...
    Preparing to replace openoffice.org-bin 1.1.4-7 (using
    ..../openoffice.org-bin_1.1.4-7.0.1_i386.deb) ...
    Unpacking replacement openoffice.org-bin ...
    Setting up kdebase-data (3.4.2-1) ...
    Setting up openoffice.org-bin (1.1.4-7.0.1) ...

    Thank you in advance.
    --
    "Did the ant fall off the toilet seat because she was pissed off?" --unknown
    /\___/\
    / /\ /\ \ Phillip (Ant) @ http://antfarm.ma.cx (Personal Web Site)
    | |o o| | Ant's Quality Foraged Links (AQFL): http://aqfl.net
    \ _ / E-mail: philpi@earthlink.net or ant@zimage.com
    ( )


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  2. Re: Did I make a mistake today with apt-get upgrade?

    On Friday 26 August 2005 06:12 pm, Phillip Pi wrote:
    > Did I make an unwise move? I didn't notice the v3.4.2 in kdebase-data. I
    > am at work and using SSH to upgrade so I don't know if my KDE still
    > works.

    ....
    > Preparing to replace kdebase-data 4:3.3.2-1 (using
    > .../kdebase-data_4%3a3.4.2-1_all.deb) ... Unpacking replacement
    > kdebase-data ...


    I don't know - it will be interesting to find out. If this causes major
    breakage, please file a bug against kdebase-data and send an e-mail here.
    If it does, the best way to fix it would be to ensure you have testing in
    your sources.list and

    $ apt-get install kdebase-data/testing

    If it works, though, that would be nice to know, too.

    Josh


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  3. Re: Did I make a mistake today with apt-get upgrade?

    > > Did I make an unwise move? I didn't notice the v3.4.2 in kdebase-data. I
    > > am at work and using SSH to upgrade so I don't know if my KDE still
    > > works.

    > ...
    > > Preparing to replace kdebase-data 4:3.3.2-1 (using
    > > .../kdebase-data_4%3a3.4.2-1_all.deb) ... Unpacking replacement
    > > kdebase-data ...

    >
    > I don't know - it will be interesting to find out. If this causes major
    > breakage, please file a bug against kdebase-data and send an e-mail here.
    > If it does, the best way to fix it would be to ensure you have testing in
    > your sources.list and
    >
    > $ apt-get install kdebase-data/testing
    >
    > If it works, though, that would be nice to know, too.


    It seems to work. I even restarted X to double check. KDE still says v3.3.2
    though. Hopefully, the other packages will come so I can do a full upgrade
    to v3.4. Does anyone know when that will happen? A week?
    --
    "Did the ant fall off the toilet seat because she was pissed off?" --unknown
    /\___/\
    / /\ /\ \ Phillip (Ant) @ http://antfarm.ma.cx (Personal Web Site)
    | |o o| | Ant's Quality Foraged Links (AQFL): http://aqfl.net
    \ _ / E-mail: philpi@earthlink.net or ant@zimage.com
    ( )


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  4. Re: Did I make a mistake today with apt-get upgrade?

    On Saturday 27 August 2005 09:25, Phillip Pi wrote:
    > It seems to work. I even restarted X to double check. KDE still says v3.3.2
    > though. Hopefully, the other packages will come so I can do a full upgrade
    > to v3.4. Does anyone know when that will happen? A week?


    "Real soon now."

    Anders

    --
    - Debian/Unstable - KDE 3.4.1 - KMail 1.8.1 -


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  5. Re: Did I make a mistake today with apt-get upgrade?

    On 27/08/05, Anders Ellensh鴍 Andersen wrote:

    > "Real soon now."


    It looks like kdemultimedia is the only missing metapackage...
    counting the days

    --
    Giacomo Lacava

  6. unsubscribe

    unsubscribe


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  7. Re: Did I make a mistake today with apt-get upgrade?

    Josh Metzler wrote:

    > On Friday 26 August 2005 06:12 pm, Phillip Pi wrote:
    >> Did I make an unwise move? I didn't notice the v3.4.2 in kdebase-data. I
    >> am at work and using SSH to upgrade so I don't know if my KDE still
    >> works.

    > ...
    >> Preparing to replace kdebase-data 4:3.3.2-1 (using
    >> .../kdebase-data_4%3a3.4.2-1_all.deb) ... Unpacking replacement
    >> kdebase-data ...

    >
    > I don't know - it will be interesting to find out. If this causes major
    > breakage, please file a bug against kdebase-data and send an e-mail here.
    > If it does, the best way to fix it would be to ensure you have testing in
    > your sources.list and
    >
    > $ apt-get install kdebase-data/testing
    >
    > If it works, though, that would be nice to know, too.


    Others have reported their K menu becoming empty after installing a
    mismatched version of kdebase-data.

    --
    位z.位i.i(i((位n.位m.位z.位i.nz(位q.mqi))((位n.位z .位i.n(nzi)i)(位z.位i.i(((位n.位z.位i.n
    (nzi)i)(位z.位i.i(iz)))zi)))((位n.位z.位i.n(nzi)i) (位z.位i.i(iz)))zi))


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  8. Re: Did I make a mistake today with apt-get upgrade?

    On Friday 26 August 2005 11:09 pm, Bryan Donlan wrote:
    > Others have reported their K menu becoming empty after installing a
    > mismatched version of kdebase-data.


    I'm fairly certain that was a mismatched kdelibs-data. From the two reports
    I've heard so far, kdebase-data 4:3.4.2-1 doesn't cause any problems on a
    system that otherwise has all 3.3.2 packages.

    Josh


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  9. Re: Did I make a mistake today with apt-get upgrade?

    On Saturday 27 August 2005 02:01 pm, Josh Metzler wrote:
    > On Friday 26 August 2005 11:09 pm, Bryan Donlan wrote:
    > > Others have reported their K menu becoming empty after installing a
    > > mismatched version of kdebase-data.

    >
    > I'm fairly certain that was a mismatched kdelibs-data. From the two
    > reports I've heard so far, kdebase-data 4:3.4.2-1 doesn't cause any
    > problems on a system that otherwise has all 3.3.2 packages.


    I have since heard from two users, and reproduced myself, that this upgrade
    causes all kcontrol entries to disappear. I filed bug #325592 about it.

    Josh


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  10. Re: Did I make a mistake today with apt-get upgrade?

    On August 31, 2005 05:54 pm, Josh Metzler wrote:
    > On Saturday 27 August 2005 02:01 pm, Josh Metzler wrote:
    > > On Friday 26 August 2005 11:09 pm, Bryan Donlan wrote:
    > > > Others have reported their K menu becoming empty after installing a
    > > > mismatched version of kdebase-data.

    > >
    > > I'm fairly certain that was a mismatched kdelibs-data. From the two
    > > reports I've heard so far, kdebase-data 4:3.4.2-1 doesn't cause any
    > > problems on a system that otherwise has all 3.3.2 packages.

    >
    > I have since heard from two users, and reproduced myself, that this upgrade
    > causes all kcontrol entries to disappear. I filed bug #325592 about it.
    >
    > Josh


    I'd like to cast a vote for no problem. I am running a KDE 3.4.1 system from
    alioth with kdebase-data 3.4.2-1 from unstable, with no problem whatsoever.
    All I'm waiting on now is someone to build transitioned packages for kdepim
    and apollon. k3b is already in incoming. Once that happens, I'm ready to
    fully upgrade.

    Lawrence


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  11. Re: Did I make a mistake today with apt-get upgrade?

    * Lawrence Williams [Wed, 31 Aug 2005 21:36:06 -0230]:

    > I'd like to cast a vote for no problem. I am running a KDE 3.4.1 system from
    > alioth with kdebase-data 3.4.2-1 from unstable, with no problem whatsoever.


    Because the trouble happens when you run KDE 3.3.2 with kdebase-data
    3.4.2. ;-)

    --
    Adeodato Sim
    EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621

    Ara que ets la meva dona, te la fotr fins a la melsa, bacona!
    -- Borja 羖varo a Miranda Boronat en 獵hulas y famosas


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  12. Re: Did I make a mistake today with apt-get upgrade?

    > > > > Others have reported their K menu becoming empty after installing a
    > > > > mismatched version of kdebase-data.
    > > >
    > > > I'm fairly certain that was a mismatched kdelibs-data. From the two
    > > > reports I've heard so far, kdebase-data 4:3.4.2-1 doesn't cause any
    > > > problems on a system that otherwise has all 3.3.2 packages.

    > >
    > > I have since heard from two users, and reproduced myself, that this upgrade
    > > causes all kcontrol entries to disappear. I filed bug #325592 about it.
    > >
    > > Josh

    >
    > I'd like to cast a vote for no problem. I am running a KDE 3.4.1 system from
    > alioth with kdebase-data 3.4.2-1 from unstable, with no problem whatsoever.
    > All I'm waiting on now is someone to build transitioned packages for kdepim
    > and apollon. k3b is already in incoming. Once that happens, I'm ready to
    > fully upgrade.


    I had not upgraded fully yet. I am scared to do so and I don't have time to fix
    them if I do have problems. Here's what I get for apt-get upgrade after an
    update today (8/31/2005 5:15 PM PDT):

    # apt-get upgrade
    Reading package lists... Done
    Building dependency tree... Done
    The following packages have been kept back:

    akode ark arts artsbuilder dcoprss dosemu kaboodle kappfinder kate kaudiocreator kcalc kcharselect kcoloreditkcontrol
    kcron kdat kdeadmin kdeadmin-kfile-plugins kdebase kdebase-bin kdebase-kio-plugins kdegraphics-kfile-plugins kdelibs
    kdelibs-bin kdelibs-data kdelirc kdemultimedia-kfile-plugins kdemultimedia-kio-plugins kdenetwork kdenetwork-filesharing
    kdepasswd kdeprint kdesktop kdessh kdeutils kdf kdict kdvi kedit kfind kfloppy kgamma kget kghostview kgpg khelpcenter khexedit kicker kiconedit kjots klaptopdaemon klipper kmenuedit kmid kmilo kmix kmrml knewsticker
    kolourpaint konqueror konqueror-nsplugins konsole kopete kpackage kpager kpdf kpersonalizer kpf kpovmodeler
    kppp krdc krec kregexpeditor krfb kruler kscd ksim ksirc ksmserver ksnapshot ksplash ksvg ksysguard ksysguardd
    ksysv ktimer ktip kuickshow kuser kview kviewshell kwalletmanager kwifimanager kwin libarts1-mpeglib libarts1-xine libkcddb1 libkonq4 librss1 licq
    licq-plugin-qt mpeglib noatun pinentry-qt qtparted secpolicy
    0 upgraded, 0 newly installed, 0 to remove and 106 not upgraded.

    # apt-get install kdelibs-bin kdelibs-data
    Reading package lists... Done
    Building dependency tree... Done
    The following extra packages will be installed:
    akode ark arts artsbuilder dbus-qt-1c2 dcoprss kaboodle kappfinder kate kcalc kcharselect kcoloredit
    kcontrol kcron kdat kdeadmin kdeadmin-kfile-plugins kdebase-bin kdebase-kio-plugins
    kdegraphics-kfile-plugins kdelibs kdelibs4c2 kdelirc kdenetwork-filesharing kdepasswd kdeprint kdesktop
    kdessh kdf kdict kdvi kedit kfind kfloppy kgamma kget kghostview kgpg khelpcenter khexedit kicker
    kiconedit kjots klaptopdaemon klipper kmenuedit kmid kmilo kmix kmrml knewsticker kolourpaint konqueror
    konqueror-nsplugins konsole kopete kpackage kpager kpdf kpersonalizer kpf kpovmodeler kppp krdc krec
    kregexpeditor krfb kruler kscd ksim ksirc ksmserver ksnapshot ksplash ksvg ksysguard ksysguardd ksysv
    ktimer ktip kuickshow kuser kview kviewshell kwalletmanager kwifimanager kwin libarts1-mpeglib
    libarts1-xine libarts1c2 libflac7 libkcddb1 libkonq4 liboggflac3 libopenexr2c2 libqt3-mt librss1
    libsasl2-modules libxcomposite1 libxdamage1 libxfixes3 licq licq-plugin-qt mpeglib noatun perl-suid
    pinentry-qt qtparted secpolicy
    Suggested packages:
    aspell konq-speaker kdeadmin-doc-html efax hylafax-client mgetty-fax gv kdeartwork-emoticons gpg
    gnomemeeting povray libqt3-mt-psql libqt3-mt-mysql libqt3-mt-odbc kmail pinentry-doc
    Recommended packages:
    ncompress lilo-config kamera tetex-bin xfonts-konsole qca-tls rpm rdesktop libio-socket-ssl-perl
    jfsutils xfsprogs
    The following packages will be REMOVED:
    dbus-qt-1 eyesapplet fifteenapplet guarddog k3b k3blibs kate-plugins kaudiocreator kcmlinuz
    kdeaddons-kfile-plugins kdeartwork-style kdeartwork-theme-window kdelibs4 kdemultimedia-kfile-plugins
    kdemultimedia-kio-plugins kdepim-kio-plugins kdewebdev kfilereplace kicker-applets kimagemapeditor
    klinkstatus kmoon kommander konq-plugins korn kscreensaver kscreensaver-xsavers ksig ktnef ktux
    kweather kxsldbg libarts1 libcvsservice0 libkdenetwork2 libopenexr2 libqt3c102-mt noatun-plugins quanta
    vimpart
    The following NEW packages will be installed:
    dbus-qt-1c2 kdelibs4c2 libarts1c2 libflac7 liboggflac3 libopenexr2c2 libqt3-mt libsasl2-modules
    libxcomposite1 libxdamage1 libxfixes3 perl-suid
    The following packages will be upgraded:
    akode ark arts artsbuilder dcoprss kaboodle kappfinder kate kcalc kcharselect kcoloredit kcontrol kcron
    kdat kdeadmin kdeadmin-kfile-plugins kdebase-bin kdebase-kio-plugins kdegraphics-kfile-plugins kdelibs
    kdelibs-bin kdelibs-data kdelirc kdenetwork-filesharing kdepasswd kdeprint kdesktop kdessh kdf kdict
    kdvi kedit kfind kfloppy kgamma kget kghostview kgpg khelpcenter khexedit kicker kiconedit kjots
    klaptopdaemon klipper kmenuedit kmid kmilo kmix kmrml knewsticker kolourpaint konqueror
    konqueror-nsplugins konsole kopete kpackage kpager kpdf kpersonalizer kpf kpovmodeler kppp krdc krec
    kregexpeditor krfb kruler kscd ksim ksirc ksmserver ksnapshot ksplash ksvg ksysguard ksysguardd ksysv
    ktimer ktip kuickshow kuser kview kviewshell kwalletmanager kwifimanager kwin libarts1-mpeglib
    libarts1-xine libkcddb1 libkonq4 librss1 licq licq-plugin-qt mpeglib noatun pinentry-qt qtparted
    secpolicy
    99 upgraded, 12 newly installed, 40 to remove and 4 not upgraded.
    Need to get 77.3MB of archives.
    After unpacking 38.4MB disk space will be freed.
    Do you want to continue [Y/n]? n
    Abort.


    As you can see, I still have lots of packages that want to be removed. I don't think they are quite ready.


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  13. Re: Did I make a mistake today with apt-get upgrade?

    On August 31, 2005 09:49 pm, Phillip Pi wrote:
    > hat want to be removed. I don't think they are quite ready.


    From what I can see using Synaptic, the base KDE packages will be ready once
    kdepim is done. I noticed that you have a few non debian-kde team packages
    installed as well ( such as licq ). In that case, you are right. It's
    ultimately up to the packager to fix the problem by building against the
    transitioned kde and qt.

    Lawrence

  14. Re: Did I make a mistake today with apt-get upgrade?

    On August 31, 2005 09:49 pm, Adeodato Sim wrote:
    > * Lawrence Williams [Wed, 31 Aug 2005 21:36:06 -0230]:
    > > I'd like to cast a vote for no problem. I am running a KDE 3.4.1 system
    > > from alioth with kdebase-data 3.4.2-1 from unstable, with no problem
    > > whatsoever.

    >
    > Because the trouble happens when you run KDE 3.3.2 with kdebase-data
    > 3.4.2. ;-)
    >
    > --
    > Adeodato Sim
    > EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
    >
    > Ara que ets la meva dona, te la fotr fins a la melsa, bacona!
    > -- Borja 羖varo a Miranda Boronat en 獵hulas y famosas


    My mistake.. i thought the message said the problem doesn't occur using
    3.3.2

    You are one of the Debian KDE/QT packagers, correct? Is there any estimate on
    when kdepim will be ready?

    Thanks

+ Reply to Thread